Imports System.Threading.Tasks

Public Class AsyncCommand
    Inherits AsyncCommandBase
    Private ReadOnly _command As Func(Of Task)

    Public Sub New(ByVal command As Func(Of Task))
        _command = command
    End Sub

    Public Overrides Function CanExecute(ByVal parameter As Object) As Boolean
        Return True
    End Function

    Public Overrides Function ExecuteAsync(ByVal parameter As Object) As Task
        Return _command()
    End Function
End Class