Imports System.Net.Http
Imports System.Threading
Imports System.Threading.Tasks

Public NotInheritable Class MyService
	' http://blogs.msdn.com/b/lucian/archive/2012/12/08/await-httpclient-getstringasync-and-cancellation.aspx
	Private Sub New()
	End Sub
    Public Shared Async Function DownloadAndCountBytesAsync(ByVal url As String, ByVal token As CancellationToken) As Task(Of Integer)
        If (token.Equals(CancellationToken.None)) Then token = New CancellationToken()
        Await Task.Delay(TimeSpan.FromSeconds(3), token).ConfigureAwait(False)
        Dim client = New HttpClient()
        Using response = Await client.GetAsync(url, token).ConfigureAwait(False)
            Dim data = Await response.Content.ReadAsByteArrayAsync().ConfigureAwait(False)
            Return data.Length
        End Using
    End Function
    Public Shared Async Function DownloadAndCountBytesAsync(ByVal url As String) As Task(Of Integer)
        Dim token As CancellationToken = New CancellationToken()
        Await Task.Delay(TimeSpan.FromSeconds(3), token).ConfigureAwait(False)
        Dim client = New HttpClient()
        Using response = Await client.GetAsync(url, token).ConfigureAwait(False)
            Dim data = Await response.Content.ReadAsByteArrayAsync().ConfigureAwait(False)
            Return data.Length
        End Using
    End Function
End Class
